Subject: Re: [PATCH 3/5] gitlab-ci: drop workaround for Python certificate store on Windows

From: Toon Claes <[email-masked]>
Date: Mon, 06 Oct 2025 12:19:12 +0200

Patrick Steinhardt <[email-masked]> writes:

> On Windows, we have been running into some issues in the past where the
> certificate store for Python is broken on the GitLab CI runners using
> Windows. The consequence was that we weren't able to establish any SSL
> connections via Python, but we need that feature so that we can download
> the Meson wraps. The workaround we employed was to import certificates
> from the cURL project into the certificate store via OpenSSL.
>
> This is obviously an ugly workaround. But even more importantly, this
> workaround fails every time Chocolatey updates its OpenSSL packages. The
> problem here is that the old OpenSSL package installer will be removed
> immediately once the newer version was published, But the Chocolatey
> community repository may not yet have propagated the new version of this
> package to all of its caches. The result is that for a couple hours (or
> sometimes even one or two days) we always fail to install OpenSSL until
> the new version was propagated.
>
> Luckily though, it turns out that the workaround doesn't seem to be
> required anymore. Drop it to work around the intermittent failures and
> to clean up some now-unneeded legacy cruft.

I assume this is a result of this change:
https://gitlab.com/gitlab-org/ci-cd/shared-runners/images/gcp/windows-containers/-/merge_requests/72

Makes sense to clean this up.

-- 
Cheers,
Toon